import { IResourceRead } from '../interfaces';
export declare class BackendFileReader implements IResourceRead {
    recordTransformer: Function;
    setRecordTransformer(recordTransformer: any): void;
    checkFile(filePath: string): 200 | 404;
    readText(filePath: any, onFileRead: any, options: object): any;
}
